## papirus-icon-theme 20250501+git20250828

=== Makefile ===
# GNU make is required to run this file. To install on *BSD, run:
#   gmake PREFIX=/usr/local install

PREFIX ?= /usr
ICON_THEMES ?= $(patsubst %/index.theme,%,$(wildcard */index.theme))
EXCLUDE ?=
CP_OPTS ?=

# exclude icon theme(s) from ICON_THEMES list
ICON_THEMES := $(filter-out $(EXCLUDE), $(ICON_THEMES))

all:

install:
	mkdir -p "$(DESTDIR)$(PREFIX)/share/icons"
	cp -R $(CP_OPTS) -- $(ICON_THEMES) "$(DESTDIR)$(PREFIX)/share/icons"

# skip building icon caches when packaging
	$(if $(DESTDIR),,$(MAKE) $(ICON_THEMES))

$(ICON_THEMES):
	-gtk-update-icon-cache -q "$(DESTDIR)$(PREFIX)/share/icons/$@"

uninstall:
	-rm -rf $(foreach icon_theme,$(ICON_THEMES),"$(DESTDIR)$(PREFIX)/share/icons/$(icon_theme)")

_get_version:
	$(eval VERSION := $(shell git show -s --format=%cd --date=format:%Y%m%d HEAD))
	@echo $(VERSION)

dist: _get_version
	git archive --format=tar.gz -o $(notdir $(CURDIR))-$(VERSION).tar.gz master -- $(ICON_THEMES)

release: _get_version
	git tag -f $(VERSION)
	git push origin
	git push origin --tags

undo_release: _get_version
	-git tag -d $(VERSION)
	-git push --delete origin $(VERSION)

clean_themes:
	-git clean -i $(ICON_THEMES)


.PHONY: $(ICON_THEMES) all install uninstall _get_version dist release undo_release clean_themes

# TESTS
.PHONY: test
test: test_short

.PHONY: test-all
test-all: test_short test_long

.PHONY: test_short
test_short: test_rendering_glitches test_optimization test_svg_elems test_symlinks test_filenames test_decimal_size test_lengths_units

.PHONY: test_long
test_long: test_xml_struct

.PHONY: test_rendering_glitches
test_rendering_glitches:
	# >>> Searching for icons with rendering glitches
	@! LC_ALL=C grep -E -rl --include='*.svg' \
		-e 'd="[a-zA-Z0-9 -.]+-\.[a-zA-Z0-9 -.]+"' \
		-e 'd="[a-zA-Z0-9 -.]+\s\.[a-zA-Z0-9 -.]+"' \
		$(ICON_THEMES)

.PHONY: test_decimal_size
test_decimal_size:
	# >>> Detecting decimal numbers in width/height/viewBox attrs
	@! LC_ALL=C grep -E -rl --include='*.svg' \
		-e '<svg[ ].*(width|height)="[0-9]+\.[0-9]*"' \
		-e '<svg[ ].*viewBox="0 0 [0-9]+\.[0-9]+ [0-9]+(|\.[0-9]+)"' \
		-e '<svg[ ].*viewBox="0 0 [0-9]+(|\.[0-9]+) [0-9]+\.[0-9]+"' \
		$(ICON_THEMES)

.PHONY: test_lengths_units
test_lengths_units:
	# >>> Detecting lengths units
	@! LC_ALL=C grep -E -rl --include='*.svg' \
		-e '<svg[ ].*(width|height|viewBox)="[0-9]+(|\.[0-9]*)[a-z]+' \
		$(ICON_THEMES)

.PHONY: test_optimization
test_optimization:
	# >>> Searching for non-optimized icons
	@! LC_ALL=C grep -E -rl --include='*.svg' \
		-e '^<\?xml' \
		$(ICON_THEMES)

.PHONY: test_svg_elems
test_svg_elems:
	# >>> Searching for icons with embedded objects
	@! LC_ALL=C grep -E -rl --include='*.svg' \
		-e '<image[ ]' \
		-e '<object[ ]' \
		$(ICON_THEMES)

.PHONY: test_symlinks
test_symlinks:
	# >>> Searching for broken symlinks
	@find $(ICON_THEMES) -xtype l -printf '%p -> %l\n' -exec false '{}' +

.PHONY: test_filenames
test_filenames:
	# >>> Searching for invalid icon names
	@LC_ALL=C find $(ICON_THEMES) -not -iregex '[-_/\.+@a-z0-9]+' -print \
		-exec false '{}' +

.PHONY: test_xml_struct
test_xml_struct:
	# >>> Searching for non-valid SVG files
	@find $(ICON_THEMES) -type f -name '*.svg' \
		-exec xmlstarlet validate --list-bad '{}' +

# .BEGIN is ignored by GNU make so we can use it as a guard
.BEGIN:
	@head -3 Makefile
	@false

=== debian/changelog ===
papirus-icon-theme (20250501+git20250828-1) unstable; urgency=medium

  * Upload to Debian.

 -- Boyuan Yang <byang@debian.org>  Sat, 27 Sep 2025 15:45:31 -0400

papirus-icon-theme (20250501+git20250828-0ubuntu1) questing; urgency=medium

  * New upstream snapshot

 -- Erich Eickmeyer <eeickmeyer@ubuntu.com>  Wed, 03 Sep 2025 15:41:05 -0700

=== debian/control ===
Source: papirus-icon-theme
Section: x11
Priority: optional
Maintainer: Debian Desktop Theme Team <team+desktop-themes-team@tracker.debian.org>
Standards-Version: 4.7.2
Build-Depends:
 debhelper-compat (= 13),
Rules-Requires-Root: no
Homepage: https://github.com/PapirusDevelopmentTeam/papirus-icon-theme
Vcs-Git: https://salsa.debian.org/debian/papirus-icon-theme.git
Vcs-Browser: https://salsa.debian.org/debian/papirus-icon-theme
Description: Papirus open source icon theme for Linux
 Papirus is a SVG-based icon theme, drawing inspiration from Material Design
 and flat design.
 .
 This package contains the following icon themes:
  - Papirus
  - Papirus-Dark
  - Papirus-Light

Package: papirus-icon-theme
Architecture: all
Depends:
 hicolor-icon-theme,
 ${misc:Depends},
Recommends:
# Some buggy software needs it to parse SVG but failed to declare dependency
# itself, so we accomodate the status quo and add this recommendation here.
# See https://bugs.debian.org/982901 and https://bugs.debian.org/1029056
 librsvg2-common,
# Declare the full replacement to package epapirus-icon-theme.
# Upstream used to provide epapirus icon theme and then dropped related
# files after the 20250501 release. See also https://bugs.debian.org/1052160
Breaks:
 epapirus-icon-theme,
Provides:
 epapirus-icon-theme,
Replaces:
 epapirus-icon-theme,
Suggests:
# Used in postinst if exists.
 gtk-update-icon-cache,
Description: ${source:Synopsis}
 ${source:Extended-Description}

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Uncomment this to turn on verbose mode.
# export DH_VERBOSE=1

%:
	dh $@

override_dh_compress:
	dh_compress --exclude=.svg

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%papirus-icon-theme-$1.tar.gz%" \
   https://github.com/PapirusDevelopmentTeam/papirus-icon-theme/tags \
   (?:.*?/)?(\d[\d.]*)\.tar\.gz debian uupdate

## papirus-icon-theme 20250501+git20251229

=== debian/changelog ===
papirus-icon-theme (20250501+git20251229-1) unstable; urgency=medium

  * New upstream snapshot.

 -- Boyuan Yang <byang@debian.org>  Tue, 30 Dec 2025 13:51:13 -0500

=== debian/control ===
--- 
+++ 
@@ -1,11 +1,9 @@
 Source: papirus-icon-theme
 Section: x11
-Priority: optional
 Maintainer: Debian Desktop Theme Team <team+desktop-themes-team@tracker.debian.org>
-Standards-Version: 4.7.2
+Standards-Version: 4.7.3
 Build-Depends:
  debhelper-compat (= 13),
-Rules-Requires-Root: no
 Homepage: https://github.com/PapirusDevelopmentTeam/papirus-icon-theme
 Vcs-Git: https://salsa.debian.org/debian/papirus-icon-theme.git
 Vcs-Browser: https://salsa.debian.org/debian/papirus-icon-theme
